Bug 221036 - lang/f2c: add library SONAME & other fixes
Summary: lang/f2c: add library SONAME & other fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-26 20:42 UTC by Pawel Pekala
Modified: 2017-07-31 02:35 UTC (History)
1 user (show)

See Also:
pawel: maintainer-feedback+


Attachments
SONAME fix (3.81 KB, patch)
2017-07-26 20:42 UTC, Pawel Pekala
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2017-07-26 20:42:19 UTC
Created attachment 184751 [details]
SONAME fix

- Add SONAME library description
- Convert to options helpers
- Use INSTALL_LIB to get stripped library
Comment 1 Maho Nakata freebsd_committer 2017-07-27 08:41:36 UTC
approved. please commit!
Comment 2 commit-hook freebsd_committer 2017-07-27 15:08:54 UTC
A commit references this bug:

Author: pawel
Date: Thu Jul 27 15:07:48 UTC 2017
New revision: 446744
URL: https://svnweb.freebsd.org/changeset/ports/446744

Log:
  - Add SONAME library description
  - Convert to options helpers
  - Use INSTALL_LIB to get stripped library

  PR:		221036
  Submitted by:	myself
  Approved by:	maho (maintainer)

Changes:
  head/lang/f2c/Makefile
  head/lang/f2c/files/patch-libf2c_Makefile
  head/lang/f2c/pkg-plist
Comment 3 Pawel Pekala freebsd_committer 2017-07-27 15:09:54 UTC
Committed, thanks for fast review.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-31 02:35:49 UTC
Assign to committer that resolved